unit ICCAPI;

interface

	uses
{$ifc undefined THINK_Pascal}
		Types, Files, QuickDraw, AppleTalk, Aliases, 
{$endc}
		Components, ICTypes, ICKeys;

	const
		internetConfigurationComponentType = 'PREF';				(* the component type *)
		internetConfigurationComponentSubType = 'ICAp';			(* the component subtype *)
		internetConfigurationComponentInterfaceVersion0 = $00000000;
		internetConfigurationComponentInterfaceVersion1 = $00010000;
(* current version number is version 1 *)
		internetConfigurationComponentInterfaceVersion = internetConfigurationComponentInterfaceVersion1;

	function ICCStart (var inst: ComponentInstance; creator: OSType): ICError;
	(* checks for the presence of the Component Manager and the Internet Configuration component *)
	(* returns badComponentInstance if it can't find either*)
	(* inst is either nil or a valid component instance *)
	(* this routine lets you access the component based implementation with only minimal*)
	(* yucky glue *)
	function ICCStop (inst: ComponentInstance): ICError;
	(* shut down the component *)

	function ICCFindConfigFile (inst: ComponentInstance; count: integer; folders: ICDirSpecArrayPtr): ICError;
	inline
		$2F3C, $06, $2, $7000, $A82A;
	function ICCFindUserConfigFile (inst: ComponentInstance; where: ICDirSpec): ICError;
	inline
		$2F3C, $04, $E, $7000, $A82A;
	function ICCSpecifyConfigFile (inst: ComponentInstance; config: FSSpec): ICError;
	inline
		$2F3C, $04, $3, $7000, $A82A;

	function ICCGetSeed (inst: ComponentInstance; var seed: longint): ICError;
	inline
		$2F3C, $04, $4, $7000, $A82A;
	function ICCGetPerm (inst: ComponentInstance; var perm: ICPerm): ICError;
	inline
		$2F3C, $04, $D, $7000, $A82A;

	function ICCBegin (inst: ComponentInstance; perm: ICPerm): ICError;
	inline
		$2F3C, $02, $5, $7000, $A82A;
	function ICCGetPref (inst: ComponentInstance; key: Str255; var attr: ICAttr; buf: Ptr; var size: longint): ICError;
	inline
		$2F3C, $10, $6, $7000, $A82A;
	function ICCSetPref (inst: ComponentInstance; key: Str255; attr: ICAttr; buf: Ptr; size: longint): ICError;
	inline
		$2F3C, $10, $7, $7000, $A82A;
	function ICCGetPrefHandle (inst: ComponentInstance; key: Str255; var attr: ICAttr; var prefh: Handle): ICError;
	inline
		$2F3C, $0C, $1A, $7000, $A82A;
	function ICCSetPrefHandle (inst: ComponentInstance; key: Str255; attr: ICAttr; prefh: Handle): ICError;
	inline
		$2F3C, $0C, $1B, $7000, $A82A;
	function ICCCountPref (inst: ComponentInstance; var count: longint): ICError;
	inline
		$2F3C, $04, $8, $7000, $A82A;
	function ICCGetIndPref (inst: ComponentInstance; n: longint; var key: Str255): ICError;
	inline
		$2F3C, $08, $9, $7000, $A82A;
	function ICCDeletePref (inst: ComponentInstance; key: Str255): ICError;
	inline
		$2F3C, $04, $C, $7000, $A82A;
	function ICCEnd (inst: ComponentInstance): ICError;
	inline
		$2F3C, $00, $A, $7000, $A82A;

	function ICCDefaultFileName (inst: ComponentInstance; var name: Str63): ICError;
	inline
		$2F3C, $04, $B, $7000, $A82A;

	function ICCEditPreferences (inst: ComponentInstance; key: Str255): ICError;
	inline
		$2F3C, $04, $F, $7000, $A82A;

	function ICCParseURL (inst: ComponentInstance; hint: Str255; data: Ptr; len: longint; var selStart, selEnd: longint; url: Handle): ICError;
	inline
		$2F3C, $18, $10, $7000, $A82A;
	function ICCLaunchURL (inst: ComponentInstance; hint: Str255; data: Ptr; len: longint; var selStart, selEnd: longint): ICError;
	inline
		$2F3C, $14, $11, $7000, $A82A;

	function ICCMapFilename (inst: ComponentInstance; filename: Str255; var entry: ICMapEntry): ICError;
	inline
		$2F3C, $08, $18, $7000, $A82A;
	function ICCMapTypeCreator (inst: ComponentInstance; fType, fCreator: OSType; filename: Str255; var entry: ICMapEntry): ICError;
	inline
		$2F3C, $10, $19, $7000, $A82A;

	function ICCMapEntriesFilename (inst: ComponentInstance; entries: Handle; filename: Str255; var entry: ICMapEntry): ICError;
	inline
		$2F3C, $0C, $1C, $7000, $A82A;
	function ICCMapEntriesTypeCreator (inst: ComponentInstance; entries: Handle; fType, fCreator: OSType; filename: Str255; var entry: ICMapEntry): ICError;
	inline
		$2F3C, $14, $1D, $7000, $A82A;

	function ICCCountMapEntries (inst: ComponentInstance; entries: Handle; var count: longint): ICError;
	inline
		$2F3C, $08, $12, $7000, $A82A;
	function ICCGetIndMapEntry (inst: ComponentInstance; entries: Handle; ndx: longint; var pos: longint; var entry: ICMapEntry): ICError;
	inline
		$2F3C, $10, $13, $7000, $A82A;
	function ICCGetMapEntry (inst: ComponentInstance; entries: Handle; pos: longInt; var entry: ICMapEntry): ICError;
	inline
		$2F3C, $0C, $14, $7000, $A82A;
	function ICCSetMapEntry (inst: ComponentInstance; entries: Handle; pos: longInt; var entry: ICMapEntry): ICError;
	inline
		$2F3C, $0C, $15, $7000, $A82A;
	function ICCDeleteMapEntry (inst: ComponentInstance; entries: Handle; pos: longint): ICError;
	inline
		$2F3C, $08, $16, $7000, $A82A;
	function ICCAddMapEntry (inst: ComponentInstance; entries: Handle; var entry: ICMapEntry): ICError;
	inline
		$2F3C, $08, $17, $7000, $A82A;

implementation
end. (* ICCAPI *)
